wibble::list::Map< List, F > Struct Template Reference

`#include <list.h>`

## Public Types

typedef F::result_type | Type

## Public Member Functions

F & | f ()
const F & | f () const
Type | head () const
Map | tail () const
bool | empty () const
| Map ()
| Map (const List &_l, const F &_f)

## Public Attributes

List | l
char | f_space [sizeof(F)]

## Member Typedef Documentation

## Type

template<typename List , typename F >

typedef F::result_type wibble::list::Map< List, F >::Type

## Constructor & Destructor Documentation

## Map() [1/2]

template<typename List , typename F >

wibble::list::Map< List, F >::Map | ( |  | ) |

inline

## Map() [2/2]

template<typename List , typename F >

wibble::list::Map< List, F >::Map | ( | const List & | _l,
|  | const F & | _f
| ) |  |

inline

References wibble::list::Map< List, F >::f().

## Member Function Documentation

## empty()

template<typename List , typename F >

bool wibble::list::Map< List, F >::empty | ( |  | ) | const

inline

References wibble::list::Map< List, F >::l.

## f() [1/2]

template<typename List , typename F >

F& wibble::list::Map< List, F >::f | ( |  | ) |

inline

References wibble::list::Map< List, F >::f_space.

Referenced by wibble::list::Map< List, F >::head(), wibble::list::Map< List, F >::Map(), and wibble::list::Map< List, F >::tail().

## f() [2/2]

template<typename List , typename F >

const F& wibble::list::Map< List, F >::f | ( |  | ) | const

inline

References wibble::list::Map< List, F >::f_space.

## head()

template<typename List , typename F >

Type wibble::list::Map< List, F >::head | ( |  | ) | const

inline

References wibble::list::Map< List, F >::f(), and wibble::list::Map< List, F >::l.

## tail()

template<typename List , typename F >

Map wibble::list::Map< List, F >::tail | ( |  | ) | const

inline

References wibble::list::Map< List, F >::f(), and wibble::list::Map< List, F >::l.

## Member Data Documentation

## f_space

template<typename List , typename F >

char wibble::list::Map< List, F >::f_space[sizeof(F)]

Referenced by wibble::list::Map< List, F >::f().

## l

template<typename List , typename F >

List wibble::list::Map< List, F >::l

Referenced by wibble::list::Map< List, F >::empty(), wibble::list::Map< List, F >::head(), and wibble::list::Map< List, F >::tail().

The documentation for this struct was generated from the following file:

- list.h